Set start point of next regular expression match

- « mb_ereg_search_regs

- mb_ereg_search »

- PHP Manual
- Multibyte String Functions
- Set start point of next regular expression match

# mb_ereg_search_setpos

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

mb_ereg_search_setpos — Set start point of next regular expression match

### Description

mb_ereg_search_setpos(int `$offset`): bool

mb_ereg_search_setpos() sets the starting point of a match for mb_ereg_search().

### Parameters

`offset`

  The position to set. If it is negative, it counts from the end of the string.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
7.1.0 | Support for negative `offset`s has been added.

### Notes

> Note:

> The internal encoding or the character encoding specified by mb_regex_encoding() will be used as the character encoding for this function.

### See Also

- mb_regex_encoding() - Set/Get character encoding for multibyte regex
- mb_ereg_search_init() - Setup string and regular expression for a multibyte regular expression match